You can also find a blog about other supported [Web IDE's here](https://about.gitlab.com/blog/2023/06/01/extending-code-suggestions/)

# Step 1: Connecting VisualStudio Code
1. Make sure you have VisualStudio Code installed on your device, if you don't you can download it [here](https://code.visualstudio.com/Download)

2. Next navigate to your VisualStudio Code instance and on the left hand navigation menu click the **Extensions** button. Once there we want to put 'GitLab Workflow' in the search bar and install.

3. Once installed and enabled click the settings icon then click **Extension settings**. On the resulting page at the top of the settings click the checkbox next to **Enable code completion**

# Step 2: Authenticating With GitLab
  **OAuth Method (recommended)**
1. Still on VisualStudio Code, we want to add our GitLab account. Even if you have done this before make sure you reset access as some settings have changed:
    - In macOS, press Shift + Command + P.
    - In Windows, press Shift + Control + P.

2. We then want to input **_'GitLab: Authenticate with GitLab.com'_**, click the quick action with the same name, and follow the alert links to open the auth portal for gitlab.com.

3. Once authed, there should be an alert that will bring you back to VisualStudio Code. At this point you should be ready to go and not need to attempt the personal access token method.

  **Personal Access Token Method**
1. Navigate to your gitlab.com view, then click your accounts icon in the top right. On the resulting dropdown click **Preferences**.
  
2. We then want to use the left hand navigation menu to click **Access Tokens**. Once on the **_Personal Access Tokens_** page we will want to name our token VSC, give it an expiration date (we suggest at least 30 days), then select all scopes.

3. With all of the settings set we will click **Create personal access token** and then copy the token locally as we will need to use it later in the workshop.

4. We then want to add our GitLab account to VisualStudio Code. Even if you have done this before make sure you reset the token as some settings have changed:
    - In macOS, press Shift + Command + P.
    - In Windows, press Shift + Control + P.

5. Next type **'GitLab: Add Account to VS Code'** and click the quick action with the same name.

6. We then want to input 'https://gitlab.com/', then provide your personal access token that we got earlier.

You should now start seeing code suggestions pop up in VSC, same as you do in the Web IDE. If you want to use other editors such as JetBrains IDEs, Neovim, and more check out our docs [here](https://docs.gitlab.com/ee/user/project/repository/code_suggestions/#supported-editor-extensions).

# Step 3: Clone your Workshop Project
1. Now we need to make sure that we have our project ready to go on VSC. Navigate to the home page of our **_workshop-project_** and click the **clone** button. We then want to copy the whole URL in the **_Clone with HTTPS_** option.